Overview | Package | Class | Use | Tree | Index | Help
| Monitoring and Management Interface for the Java Platform
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.management
Class GcInfo

    java.lang.Object
      com.sun.management.GcInfo

All Implemented Interfaces:
  javax.management.openmbean.CompositeData

    public class GcInfo

extends java.lang.Object
implements javax.management.openmbean.CompositeData

Garbage collection information. It contains the following information for one garbage collection as well as GC-specific attributes:

> - Start time
> - End time
> - Duration
> - Memory usage before the collection starts
> - Memory usage after the collection ends

`GcInfo` is a `CompositeData` The GC-specific attributes can be obtained via the CompositeData interface.

#### MXBean Mapping

`GcInfo` is mapped to a `CompositeData` with attributes as specified in the `from` method.

Since:
  1.5

Method Summary
`boolean` | `containsKey(java.lang.String key)`
`boolean` | `containsValue(java.lang.Object value)`
`boolean` | `equals(java.lang.Object obj)`
`static GcInfo` | `from(javax.management.openmbean.CompositeData cd)` Returns a `GcInfo` object represented by the given `CompositeData`.
`java.lang.Object` | `get(java.lang.String key)`
`java.lang.Object[]` | `getAll(java.lang.String[] keys)`
`javax.management.openmbean.CompositeType` | `getCompositeType()`
`long` | `getDuration()` Returns the elapsed time of this GC in milliseconds.
`long` | `getEndTime()` Returns the end time of this GC in milliseconds since the Java virtual machine was started.
`long` | `getId()` Returns the identifier of this garbage collection which is the number of collections that this collector has done.
`java.util.Map<java.lang.String,java.lang.management.MemoryUsage>` | `getMemoryUsageAfterGc()` Returns the memory usage of all memory pools at the end of this GC.
`java.util.Map<java.lang.String,java.lang.management.MemoryUsage>` | `getMemoryUsageBeforeGc()` Returns the memory usage of all memory pools at the beginning of this GC.
`long` | `getStartTime()` Returns the start time of this GC in milliseconds since the Java virtual machine was started.
`int` | `hashCode()`
`java.lang.String` | `toString()`
`java.util.Collection` | `values()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Method Detail

### getId

    public long getId()

  Returns the identifier of this garbage collection which is the number of collections that this collector has done.

  Returns:
    the identifier of this garbage collection which is the number of collections that this collector has done.

### getStartTime

    public long getStartTime()

  Returns the start time of this GC in milliseconds since the Java virtual machine was started.

  Returns:
    the start time of this GC.

### getEndTime

    public long getEndTime()

  Returns the end time of this GC in milliseconds since the Java virtual machine was started.

  Returns:
    the end time of this GC.

### getDuration

    public long getDuration()

  Returns the elapsed time of this GC in milliseconds.

  Returns:
    the elapsed time of this GC in milliseconds.

### getMemoryUsageBeforeGc

    public java.util.Map<java.lang.String,java.lang.management.MemoryUsage> getMemoryUsageBeforeGc()

  Returns the memory usage of all memory pools at the beginning of this GC. This method returns a `Map` of the name of a memory pool to the memory usage of the corresponding memory pool before GC starts.

  Returns:
    a `Map` of memory pool names to the memory usage of a memory pool before GC starts.

### getMemoryUsageAfterGc

    public java.util.Map<java.lang.String,java.lang.management.MemoryUsage> getMemoryUsageAfterGc()

  Returns the memory usage of all memory pools at the end of this GC. This method returns a `Map` of the name of a memory pool to the memory usage of the corresponding memory pool when GC finishes.

  Returns:
    a `Map` of memory pool names to the memory usage of a memory pool when GC finishes.

### from

    public static GcInfo from(javax.management.openmbean.CompositeData cd)

  Returns a `GcInfo` object represented by the given `CompositeData`. The given `CompositeData` must contain all the following attributes:

  > Attribute Name | Type
  > --- | ---
  > index | `java.lang.Long`
  > startTime | `java.lang.Long`
  > endTime | `java.lang.Long`
  > memoryUsageBeforeGc | `javax.management.openmbean.TabularData`
  > memoryUsageAfterGc | `javax.management.openmbean.TabularData`

  Returns:
    a `GcInfo` object represented by `cd` if `cd` is not `null`; `null` otherwise.
  Throws:
    `java.lang.IllegalArgumentException` - if `cd` does not represent a `GcInfo` object with the attributes described above.

### containsKey

    public boolean containsKey(java.lang.String key)

  Specified by:
    `containsKey` in interface `javax.management.openmbean.CompositeData`

### containsValue

    public boolean containsValue(java.lang.Object value)

  Specified by:
    `containsValue` in interface `javax.management.openmbean.CompositeData`

### equals

    public boolean equals(java.lang.Object obj)

  Specified by:
    `equals` in interface `javax.management.openmbean.CompositeData`
  Overrides:
    `equals` in class `java.lang.Object`

### get

    public java.lang.Object get(java.lang.String key)

  Specified by:
    `get` in interface `javax.management.openmbean.CompositeData`

### getAll

    public java.lang.Object[] getAll(java.lang.String[] keys)

  Specified by:
    `getAll` in interface `javax.management.openmbean.CompositeData`

### getCompositeType

    public javax.management.openmbean.CompositeType getCompositeType()

  Specified by:
    `getCompositeType` in interface `javax.management.openmbean.CompositeData`

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in interface `javax.management.openmbean.CompositeData`
  Overrides:
    `hashCode` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Specified by:
    `toString` in interface `javax.management.openmbean.CompositeData`
  Overrides:
    `toString` in class `java.lang.Object`

### values

    public java.util.Collection values()

  Specified by:
    `values` in interface `javax.management.openmbean.CompositeData`

Overview | Package | Class | Use | Tree | Index | Help
| Monitoring and Management Interface for the Java Platform
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD